/*
 Theme Name:   S-SolarS
 Theme URI:    https://www.neckarmedia.com
 Description:  S-SolarS Theme
 Author:       Neckarmedia
 Author URI:   https://www.neckarmedia.com
 Template:     enfold
 Version:      1.0
*/


/* kanit-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Kanit';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/kanit-v12-latin-regular.eot'); /* IE9 Compat Modes */
  src: url('fonts/kanit-v12-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/kanit-v12-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/kanit-v12-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('fonts/kanit-v12-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/kanit-v12-latin-regular.svg#Kanit') format('svg'); /* Legacy iOS */
}
/* kanit-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Kanit';
  font-style: normal;
  font-weight: 500;
  src: url('fonts/kanit-v12-latin-500.eot'); /* IE9 Compat Modes */
  src: url('fonts/kanit-v12-latin-500.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/kanit-v12-latin-500.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/kanit-v12-latin-500.woff') format('woff'), /* Modern Browsers */
       url('fonts/kanit-v12-latin-500.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/kanit-v12-latin-500.svg#Kanit') format('svg'); /* Legacy iOS */
}
/* kanit-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Kanit';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/kanit-v12-latin-700.eot'); /* IE9 Compat Modes */
  src: url('fonts/kanit-v12-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('fonts/kanit-v12-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('fonts/kanit-v12-latin-700.woff') format('woff'), /* Modern Browsers */
       url('fonts/kanit-v12-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('fonts/kanit-v12-latin-700.svg#Kanit') format('svg'); /* Legacy iOS */
}

/* @link https://utopia.fyi/type/calculator?c=375,16,1.2,1800,20,1.333,5,2,&s=0.75|0.5|0.25,1.5|2|3|4|6,s-l&g=s,l,xl,12 */

:root {
  --step--2: clamp(0.69rem, calc(0.69rem + 0.01vw), 0.70rem);
  --step--1: clamp(0.83rem, calc(0.81rem + 0.12vw), 0.94rem);
  --step-0: clamp(1.00rem, calc(0.93rem + 0.28vw), 1.25rem);
  --step-1: clamp(1.20rem, calc(1.08rem + 0.52vw), 1.67rem);
  --step-2: clamp(1.44rem, calc(1.23rem + 0.88vw), 2.22rem);
  --step-3: clamp(1.73rem, calc(1.40rem + 1.38vw), 2.96rem);
  --step-4: clamp(2.07rem, calc(1.58rem + 2.10vw), 3.95rem);
  --step-5: clamp(2.49rem, calc(1.76rem + 3.11vw), 5.26rem);
}


/* =======================================================================================================================================
Typo
======================================================================================================================================= */
html{-webkit-tap-highlight-color: transparent;}
body{-webkit-font-smoothing: antialiased; padding-left: 2%; padding-right: 2%;}
body,p{font-family: 'Kanit'; font-weight: 400; font-size: var(--step-0);}
h1,h2,h3,h4,h5,h6{font-family: 'Kanit'; letter-spacing: 0 !important; -webkit-hyphens: auto;}
.main_color .special-heading-inner-border{display: none;}

#top .special_amp{color: inherit; font-family: inherit; font-size: inherit; font-style: inherit; font-weight: inherit;}

#top h1{font-size: var(--step-4);}
#top h2{font-size: var(--step-3); text-transform: none; font-weight: 700;}
#top h3{font-size: var(--step-2); font-weight: 700; margin-bottom: 30px;}

#top .__hero-headline h2{font-size: var(--step-4); text-transform: uppercase;}


/* =======================================================================================================================================
Header
======================================================================================================================================= */
/* Logo */
#header_main .inner-container > .logo,
#header_main .inner-container > .logo a{display: -webkit-box;display: -ms-flexbox;display: flex; -webkit-box-align: center; -ms-flex-align: center; align-items: center;}
#header_main .inner-container > .logo a svg{width: 160px}

@media only screen and (min-width: 768px){
    #header_main .inner-container > .logo a svg{width: 220px}
}

@media only screen and (min-width: 990px){
    #header_main .av-logo-container{padding: 0 50px 0 0;}
}

@media only screen and (min-width: 1280px){
    #header_main .inner-container > .logo a svg{width: 280px}
}

/* Navigation */
@media only screen and (min-width: 990px){
    #top .av-main-nav > li > a{font-weight: 400; font-size: var(--step-0); padding: 0 1em;}
    #top .av-menu-button > a .avia-menu-text{border-radius: 30px; padding: 9px 15px;}
}

/* Burger Menu */
.html_av-overlay-side #top #wrap_all #av-burger-menu-ul li a{font-weight: 400; font-size: var(--step-0);}
.html_av-overlay-side #top #wrap_all #av-burger-menu-ul > li.av-menu-button-bordered{margin: 1em 0 0 0}
.html_av-overlay-side #top #wrap_all #av-burger-menu-ul > li.av-menu-button-bordered .avia-menu-text{border-radius: 30px; padding: 9px 15px;}


/* =======================================================================================================================================
Misc
======================================================================================================================================= */
/* Images */
#top .image-overlay{display: none !important;}
.avia-image-container .avia_image, .avia-image-container .avia-image-overlay-wrap{border-radius: 30px;}

/* Layout */
#top .container_wrap{border: 0}
#top .avia-section{border-radius: 30px;}

@media only screen and (max-width: 767px){
    .responsive #top #wrap_all .container{width: 90%; max-width: 90%;}
    .avia-section .content{padding-bottom: 48px !important; padding-top: 48px !important}
}

/* Masonry Grid */
#top .av-fixed-size .av-masonry-entry .av-inner-masonry-sizer {padding-bottom: 100%;}
#top .av-fixed-size .av-masonry-entry.av-landscape-img .av-inner-masonry-sizer {padding-bottom: 50%;}
#top .avia_desktop .av-hover-overlay-active .av-masonry-image-container {opacity: 1;}
#top .av-inner-masonry{border-radius: 30px;}

/* Button */
#top .avia-button{border: 0; text-transform: uppercase; font-weight: 500; font-size: 1rem;}
#top .main_color .avia-color-theme-color{background: -webkit-gradient(linear, left top, right top, from(rgba(67,194,159,1)), to(rgba(16,180,182,1)));background: -o-linear-gradient(left, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);background: linear-gradient(90deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%); border-radius: 30px; padding: 15px 30px; border: 0;}
#top .avia-button:hover{opacity: 0.8; -webkit-transition: 0.2s opacity ease; -o-transition: 0.2s opacity ease; transition: 0.2s opacity ease;}
#top .avia-button.avia-color-theme-color-highlight{background: -webkit-gradient(linear, left top, right top, from(rgba(255, 157, 42,1)), to(rgba(255, 188, 49,1)));background: -o-linear-gradient(left, rgba(255, 157, 42,1) 0%, rgba(255, 188, 49,1) 100%);background: linear-gradient(90deg, rgba(255, 157, 42,1) 0%, rgba(255, 188, 49,1) 100%); border-radius: 30px; padding: 15px 30px; border: 0; color: #000;}

#top .main_color .avia-color-theme-color-subtle{background-color: transparent;  margin-top: 0 !important; color: #10B4B6; padding: 5px;}
#top .main_color .avia-color-theme-color-subtle .avia_button_icon{margin-right: 5px;}
#top .main_color .avia-color-theme-color-subtle .avia_iconbox_title{color: #202020;}

/* Hero */
#top .__hero > .flex_cell:nth-child(1){min-height: 50vh}
#top .__hero > .flex_cell:nth-child(2){padding: 8rem 5% !important}

@media only screen and (max-width: 767px){
    #top .__hero > .flex_cell:nth-child(2){padding: 4rem 5% !important}
}

/* Timeline Bestellung */
#top .main_color .av-milestone-icon-wrap:after, #top .avia-timeline-horizontal .av-milestone-date span:after, #top .main_color .avia-timeline .av-milestone-date span{display: none;}
#top .main_color .avia-timeline .milestone_inner{background: -o-linear-gradient(135deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);background: linear-gradient(-45deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);}
#top .avia-timeline .milestone_icon{font-size: 40px;}
#top .main_color .avia-timeline h2.av-milestone-date{color: #000; font-size: var(--step-2);}
#top .main_color .avia-timeline .av-milestone-title{font-size: var(--step-1);}
#top .avia-timeline-horizontal.av-milestone-placement-top .av-milestone-date{padding: 6% 30px 6% 110px;}
#top .avia-timeline .av-milestone-icon-wrap{position: relative; overflow: hidden; text-decoration: none; margin-top: -17%;}
#top .avia-timeline-boxshadow .av-milestone-contentbox {-webkit-box-shadow: none;box-shadow: none; background-color: #f8f8f8; border-radius: 30px;}
#top .avia-timeline-boxshadow .av-milestone-contentbox:before{background-color: #f8f8f8;}
#top .avia-timeline-boxshadow .av-milestone-contentbox:after{-webkit-box-shadow: none;box-shadow: none;}
#top .av-timeline-nav a.av-nav-btn{background: #10B4B6}
#top .avia-slideshow-arrows{bottom: -200px !important}
#top .avia-slideshow-arrows a:before{background: transparent;}

/* Products Blogbeiträge */
#top .template-blog{margin-top: 80px;}
#top .template-blog .big-preview{width: 30%; float: left; margin-right: 5%;}
#top .fullsize .template-blog .post .entry-content-wrapper{max-width: unset}
#top .flex_column .template-blog .post-title {font-size: var(--step-2);}
#top .fullsize .template-blog .post-meta-infos{display: none;}
#top .fullsize .template-blog a.more-link{background: -o-linear-gradient(135deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);background: linear-gradient(-45deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%); text-transform: uppercase; color: #fff; font-weight: 500; font-size: 1rem; border-radius: 30px; padding: 5px 30px; margin-top: 20px;}
#top .fullsize .template-blog .more-link-arrow:after{display: none;}
#top .fullsize .template-blog .post_delimiter{padding: 40px 0 0 0; margin: 0 0 40px 0; border: 0;}

/* Symbol List */
.avia_transform .avia-icon-list.av-iconlist-big.avia-iconlist-animate .avia_start_animation .iconlist-timeline{display: none;}
#top .avia-icon-list li{padding: 0;}
#top .main_color .avia-icon-list .iconlist_icon{background: transparent;}
#top .avia-icon-list .iconlist_icon{color: #10B4B6; font-size: 50px;}

/* Solarmodul Detail Box */
#top .__detail-box{background: #f8f8f8; border-radius: 30px; padding: 3% 4%;}

/* Preismodell Pricing Box */
#top .__pricing-box{background: -o-linear-gradient(135deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);background: linear-gradient(-45deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%); border-radius: 30px; padding: 3% 4%;}
#top .__pricing-box .av-catalogue-container{margin: 0 0 40px 0;}
#top .__pricing-box h3, #top .__pricing-box p{color: #fff; margin-top: 0;}
#top .__pricing-box h3, #top .__pricing-box .avia-button.avia-color-theme-color-highlight{margin-top: 20px;}

#top .__pricing-box .av-catalogue-item, #top .__pricing-box .av-catalogue-content{color: #fff}
#top .__pricing-box .av-catalogue-title-container {font-size: var(--step-2); font-weight: 700;}
#top .__pricing-box .av-catalogue-list li, #top .__pricing-box .av-catalogue-list{border: 0;}
#top .__pricing-box .av-catalogue-title{text-transform: none;}
#top .__pricing-box .av-catalogue-list li:hover{background: transparent;}
#top .__pricing-box .av-catalogue-item{padding: 10px 0;}

/* Animated numbers */
#top .avia-animated-number{text-align: left; margin-bottom: 15px;}
#top .avia-animated-number .heading .avia-single-number, #top .avia-animated-number .heading .avia-no-number{font-size: var(--step-2); color: #10b4b6; font-weight: 700; opacity: 1;}
#top .avia-animated-number.avia-color-font-light .heading .avia-single-number, #top .avia-animated-number.avia-color-font-light .heading .avia-no-number{color: #43C29F;}
.avia-animated-number.avia-color-font-light .avia-animated-number-content, .avia-animated-number.avia-color-font-light .heading{color: inherit;}

/* Section Data sheets */
#top .__section-datasheets .avia-image-container, #top .__section-datasheets .av-special-heading{display: inline-block; clear: none;}
#top .__section-datasheets h3{margin-bottom: 10px; font-size: var(--step-1);}
#top .__section-datasheets .avia-image-container{max-width: 12%; margin-right: 3%;}
#top .__section-datasheets .av-special-heading{max-width: 82%;}
#top .__section-datasheets .avia_textblock p{margin-top: 0;}

/* Hotspot Media */

@media only screen and (min-width: 990px){
	.responsive .av-image-hotspot-pulse {
		height: 1000px;
		width: 1000px;
		top: -480px;
		left: -480px;
	}
}
#top .av-hotspot-container .av-image-hotspot-pulse{
		height: 1000px;
		width: 1000px;
		top: -480px;
		left: -480px;
}
@media only screen and (max-width: 767px){
.responsive .av-hotspot-image-container.av-hotspot-blank.av-mobile-fallback-active .av-image-hotspot_inner {
    color: #fff;
}
	#top .av-hotspot-image-container .av-hotspot-fallback-tooltip{display: none;}
}
#top .av-hotspot-container .av-image-hotspot-pulse{
	border-radius: 1000px;
	animation: av_pulsate 2.5s linear infinite;
}

#top .av-hotspot-container .av-image-hotspot_inner{cursor: default;}

/* =======================================================================================================================================
FAB floating action button
======================================================================================================================================= */
#top #__fab{
    width: 50px;
    height: 50px;
    border-radius: 25px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    position: fixed;
    right: 10px;
    bottom: 10px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    color: #fff;
    background: -webkit-gradient(linear, left top, right top, from(rgba(67,194,159,1)), to(rgba(16,180,182,1)));background: -o-linear-gradient(left, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);background: linear-gradient(90deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);
    -webkit-box-shadow: var(--shadow);
            box-shadow: var(--shadow);
    z-index: 900;
    padding: 10px 5px 5px 5px;
    cursor: pointer;
    -webkit-transition: .4s ease;
    -o-transition: .4s ease;
    transition: .4s ease;
}
#top #__fab > span.av-icon-char{font-size: 30px; line-height: 1; }

#top #__fab:hover{opacity: 0.8;}

@media only screen and (min-width: 768px){
    #top #__fab{bottom: 50px; right: 50px;}
}


/* =======================================================================================================================================
Scroll to top Button button
======================================================================================================================================= */
#scroll-top-link{bottom: 107px; border-radius: 25px; color: #fff; background: -webkit-gradient(linear, left top, right top, from(rgba(67,194,159,1)), to(rgba(16,180,182,1)));background: -o-linear-gradient(left, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%);background: linear-gradient(90deg, rgba(67,194,159,1) 0%, rgba(16,180,182,1) 100%); border: 0;}
#scroll-top-link.avia_pop_class, #av-cookie-consent-badge.avia_pop_class {opacity: 1;}
#scroll-top-link:hover{opacity: 0.8; color: #fff; border: 0;}


/* =======================================================================================================================================
CF7 Contact Form 7
======================================================================================================================================= */
/* CF7 Style */
#top form.wpcf7-form input,
#top form.wpcf7-form select,
#top form.wpcf7-form textarea{font-family: 'Kanit'; padding: 1em 1.6em; border-radius: 30px; border: 0 !important; color: #707070 !important; font-size: 1rem; margin-bottom: 0px; background-color: #fff !important}
#top form.wpcf7-form input::-webkit-input-placeholder, #top form.wpcf7-form textarea::-webkit-input-placeholder{color: lightgray;}
#top form.wpcf7-form input::-moz-placeholder, #top form.wpcf7-form textarea::-moz-placeholder{color: lightgray;}
#top form.wpcf7-form input:-ms-input-placeholder, #top form.wpcf7-form textarea:-ms-input-placeholder{color: lightgray;}
#top form.wpcf7-form input::-ms-input-placeholder, #top form.wpcf7-form textarea::-ms-input-placeholder{color: lightgray;}
#top form.wpcf7-form input::placeholder, #top form.wpcf7-form textarea::placeholder{color: lightgray;}
#top form.wpcf7-form input.wpcf7-submit{padding: 15px 30px; border-radius: 30px; border: 0 !important; color: #000 !important; background: -webkit-gradient(linear, left top, right top, from(rgba(255,157,42,1)), to(rgba(255,188,49,1))) !important; background: -o-linear-gradient(left, rgba(255,157,42,1) 0%, rgba(255,188,49,1) 100%) !important; background: linear-gradient(90deg, rgba(255,157,42,1) 0%, rgba(255,188,49,1) 100%) !important; text-transform: uppercase; font-weight: 500; font-size: 1rem; font-family: 'Kanit'; opacity: 1; margin-top: 30px;}
#top form.wpcf7-form input.wpcf7-submit:hover{opacity: 0.8; -webkit-transition: 0.2s opacity ease; -o-transition: 0.2s opacity ease; transition: 0.2s opacity ease;}
#top form.wpcf7-form p{margin: 0;}

@media only screen and (max-width: 768px){
    #top form.wpcf7-form input,
    #top form.wpcf7-form select,
    #top form.wpcf7-form textarea{margin-bottom: 10px !important;}
}

#top form.wpcf7-form .wpcf7-acceptance{display: block; margin-bottom: 1rem}
#top form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item,
#top form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item label{margin: 0;}
#top form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item label > input{position: absolute; opacity: 0}
#top form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item label > span{padding: 0 0 0 2em; font-size: var(--step--1); line-height: 1.5; display: block; cursor: pointer; position: relative;}
#top form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item label > span:before{content: ''; width: 1em; height: 1em; display: inline-block; position: absolute; top: .1em; left: 0; border: 1px solid; border-radius: .25em}
#top form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item label > input:checked ~ span:before{background: #10b3b6; -webkit-box-shadow: inset 0 0 0 2px #fff; box-shadow: inset 0 0 0 2px #fff;}
#top .alternate_color form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item label > input:checked ~ span:before{background: #fff;}
#top .alternate_color form.wpcf7-form .wpcf7-acceptance .wpcf7-list-item label > span{color: #fff}

/* CF7 Grid */
@media only screen and (min-width: 768px){
    :root{--f-row-gap: 20px;}
    #top .f_row{display: -webkit-box;display: -ms-flexbox;display: flex; -ms-flex-wrap: wrap; flex-wrap: wrap; margin-bottom: var(--f-row-gap); gap: var(--f-row-gap)}
    #top .f_row > div{-ms-flex-preferred-size: 0;flex-basis: 0; -webkit-box-flex: 1; -ms-flex-positive: 1; flex-grow: 1; max-width: 100%;}
    #top .f_row > div.one-third{-webkit-box-flex: 0;-ms-flex: 0 0 calc( 33.333333% - (var(--f-row-gap) / 3 * 2) );flex: 0 0 calc( 33.333333% - (var(--f-row-gap) / 3 * 2) ); max-width: calc( 33.333333% - (var(--f-row-gap) / 3 * 2) );}
    #top .f_row > div input, #top .f_row > div select, #top .f_row > div textarea{margin: 0;}
}

/* CF7 Output */
#top form.wpcf7-form .ajax-loader{display: none;}
#top form.wpcf7-form .wpcf7-not-valid-tip{display: none;}
#top form.wpcf7-form .wpcf7-response-output{font-size: 1rem; padding: 0 2em; margin: 2em 0 0 0; border: 0; line-height: 1.5; background: transparent; border-left: 2px solid #7d7d7d; color: #7d7d7d;}
#top form.wpcf7-form .wpcf7-not-valid{border-bottom: 1px solid darkred !important;}
#top form.wpcf7-form.invalid .wpcf7-response-output{border-color: darkred; color: darkred}
#top form.wpcf7-form.sent .wpcf7-response-output{border-color: green; color: green;}
#top .alternate_color form.wpcf7-form.invalid .wpcf7-response-output,
#top .alternate_color form.wpcf7-form.sent .wpcf7-response-output{color: #fff !important;}


/* Startseite Landkarte Image */
#top .__landkarte{
	transform: translate(10%, -36%);
}
/* =======================================================================================================================================
Footer
======================================================================================================================================= */
#footer,
#footer p{font-size: var(--step--0);}
#footer .container > .flex_column:nth-child(1) img{width: 150px}
#footer small{font-size: var(--step--1)}
#footer {padding: 60px 0 30px 0;}

@media only screen and (min-width: 768px){
    #footer .container{display: -webkit-box;display: -ms-flexbox;display: flex; -webkit-box-align: end; -ms-flex-align: end; align-items: flex-end;}
    #footer .container > .flex_column:nth-child(1) img{width: 200px}
    #footer .container > .flex_column:nth-child(2){text-align: right;}
}









